public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "NP Hardass" <np-hardass@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/winetricks/
Date: Sun, 10 Jul 2016 00:48:24 +0000 (UTC)	[thread overview]
Message-ID: <1468111493.56d5cef67a5f77e1936f5bb60c8b7bc794ddff5c.np-hardass@gentoo> (raw)

commit:     56d5cef67a5f77e1936f5bb60c8b7bc794ddff5c
Author:     Jimi Huotari <chiitoo <AT> gentoo <DOT> org>
AuthorDate: Sat Jul  9 19:00:23 2016 +0000
Commit:     NP Hardass <np-hardass <AT> gentoo <DOT> org>
CommitDate: Sun Jul 10 00:44:53 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=56d5cef6

app-emulation/winetricks: Version bump to 20160709.

Package-Manager: portage-2.3.0

Signed-off-by: NP-Hardass <NP-Hardass <AT> gentoo.org>

 app-emulation/winetricks/Manifest                  |  1 +
 .../winetricks/winetricks-20160709.ebuild          | 85 ++++++++++++++++++++++
 2 files changed, 86 insertions(+)

diff --git a/app-emulation/winetricks/Manifest b/app-emulation/winetricks/Manifest
index ae52f26..b2e0f55 100644
--- a/app-emulation/winetricks/Manifest
+++ b/app-emulation/winetricks/Manifest
@@ -1,2 +1,3 @@
 DIST winetricks-20160425.tar.gz 170817 SHA256 0ddd2d896ab3803057f0eeec3afd6fd2f1b8ebb21e4ec0647c66e3cad0da1d0e SHA512 20279a49088ae8f30447d940432c026933b02438f0872fd736b1015ce70150c9300273eaa2000e42389e1dcdc9807f52ee8ddfe2d0a1a0bf9bb2e62acbda19b9 WHIRLPOOL 7d8b9e0dcb1e4532678790aeb77c6b14147f60eef1560efe05b75b14e87eb85954c810920be2a058fd5f18451fb419f706f8ff92bf8cc952c58b360f59785ca6
+DIST winetricks-20160709.tar.gz 173713 SHA256 c21a7bb4c312eeea27325d82160fee5e6961387fd396540d78d57a590df1ebe5 SHA512 8624cb8c1152f637fb46f66035059e6832e5d083e2df6737d8e6ec5a5981dc2650e1160ad3de04ab120e971a2f9a7df906f10fe95951db258217f6f0774d5b84 WHIRLPOOL 305b64049670d01fd8f3544b38033df10e11d49e2033c65688d9eddeda305f51cdfa5aeded05bda3a4239105ad03f071aa785eac200f61da2581c406db3c43d6
 DIST winetricks-gentoo-2012.11.24.tar.bz2 6398 SHA256 dded8c294cc5c2e71e4a5d1531ab165178cf3d2d1d890d0656368c2e499bfeb9 SHA512 59c93b73f3a7b2d11aefcde2ff66659ff1de21ad4b5f232f4b60572f3a48b15a6c49f369b1696862bf1b33fde190bf5598945e9536fb41ddec42d8def4d2be2a WHIRLPOOL 268da9e06712a678fbbcfff8eac1fca364b5e46f0a9c48a591eb88f03260b1a55f203eb2908bfe1f0a534b77c866127ff6f7049b0e43fe8abeaaa26fe55de75b

diff --git a/app-emulation/winetricks/winetricks-20160709.ebuild b/app-emulation/winetricks/winetricks-20160709.ebuild
new file mode 100644
index 0000000..b8aef92
--- /dev/null
+++ b/app-emulation/winetricks/winetricks-20160709.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit gnome2-utils eutils
+
+if [[ ${PV} == "99999999" ]] ; then
+	EGIT_REPO_URI="git://github.com/Winetricks/${PN}.git"
+	inherit git-r3
+	SRC_URI=""
+else
+	SRC_URI="https://github.com/Winetricks/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+wtg=winetricks-gentoo-2012.11.24
+
+SRC_URI="${SRC_URI}
+	gtk? ( https://dev.gentoo.org/~tetromino/distfiles/wine/${wtg}.tar.bz2 )
+	kde? ( https://dev.gentoo.org/~tetromino/distfiles/wine/${wtg}.tar.bz2 )"
+
+DESCRIPTION="Easy way to install DLLs needed to work around problems in Wine"
+HOMEPAGE="http://winetricks.org http://wiki.winehq.org/winetricks"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+IUSE="gtk kde rar"
+
+DEPEND=""
+RDEPEND="app-arch/cabextract
+	app-arch/p7zip
+	app-arch/unzip
+	app-emulation/wine
+	net-misc/wget
+	x11-misc/xdg-utils
+	gtk? ( gnome-extra/zenity )
+	kde? ( kde-apps/kdialog )
+	rar? ( app-arch/unrar )"
+
+# Uses a non-standard "Wine" category, which is provided by app-emulation/wine; #451552
+QA_DESKTOP_FILE="usr/share/applications/winetricks.desktop"
+
+# Tests require network access and run Wine, which is unreliable from a portage environment.
+RESTRICT="test"
+
+src_unpack() {
+	if [[ ${PV} == "99999999" ]] ; then
+		git-r3_src_unpack
+		if use gtk || use kde; then
+			unpack ${wtg}.tar.bz2
+		fi
+	else
+		default
+	fi
+}
+
+src_install() {
+	default
+	if use gtk || use kde; then
+		cd "${WORKDIR}/${wtg}" || die
+		domenu winetricks.desktop
+		insinto /usr/share/icons/hicolor/scalable/apps
+		doins wine-winetricks.svg
+	fi
+}
+
+pkg_preinst() {
+	if use gtk || use kde; then
+		gnome2_icon_savelist
+	fi
+}
+
+pkg_postinst() {
+	if use gtk || use kde; then
+		gnome2_icon_cache_update
+	fi
+}
+
+pkg_postrm() {
+	if use gtk || use kde; then
+		gnome2_icon_cache_update
+	fi
+}


             reply	other threads:[~2016-07-10  0:48 UTC|newest]

Thread overview: 75+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-07-10  0:48 NP Hardass [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-07 21:26 [gentoo-commits] repo/gentoo:master commit in: app-emulation/winetricks/ Andreas Sturmlechner
2024-09-07 21:26 Andreas Sturmlechner
2024-06-28 20:33 Jimi Huotari
2024-05-30 15:01 Arthur Zamarin
2024-05-30 15:01 Arthur Zamarin
2024-01-06  0:13 Jimi Huotari
2023-12-16 21:06 Jimi Huotari
2023-05-06  9:49 Arthur Zamarin
2023-05-06  9:49 Arthur Zamarin
2023-02-12 12:42 Jimi Huotari
2023-02-12 12:42 Jimi Huotari
2022-05-23  6:43 Agostino Sarubbo
2022-05-22 20:08 Jakov Smolić
2022-04-13 13:13 Nick Sarnie
2022-04-13 13:13 Nick Sarnie
2021-08-27 14:07 Nick Sarnie
2021-04-16 21:32 Nick Sarnie
2021-04-11 20:08 Thomas Deutschmann
2021-04-11 11:11 Sam James
2021-03-06 17:40 Nick Sarnie
2021-03-06 17:40 Nick Sarnie
2021-01-18  3:41 Nick Sarnie
2020-11-17  0:42 Nick Sarnie
2020-11-15  1:27 Sam James
2020-11-14  2:16 Thomas Deutschmann
2020-11-14  2:16 Thomas Deutschmann
2020-07-27  4:41 Sam James
2020-07-14  0:34 Nick Sarnie
2020-04-15 23:42 Nick Sarnie
2019-12-25  0:26 Nick Sarnie
2019-12-24 23:33 Nick Sarnie
2019-11-26 23:17 Nick Sarnie
2019-11-26  0:58 Thomas Deutschmann
2019-11-17 11:26 Agostino Sarubbo
2019-09-16 22:20 Nick Sarnie
2019-09-16 22:20 Nick Sarnie
2019-06-21 22:17 Nick Sarnie
2019-05-27 12:50 Nick Sarnie
2019-05-20 11:01 Mikle Kolyada
2019-05-19 15:48 Thomas Deutschmann
2019-03-10 14:45 Nick Sarnie
2019-03-10 14:45 Nick Sarnie
2019-03-10 14:45 Nick Sarnie
2019-03-10 14:45 Nick Sarnie
2019-02-06 23:13 Nick Sarnie
2019-01-27 17:19 Nick Sarnie
2018-08-30  1:34 Austin English
2018-06-03 17:12 Nick Sarnie
2018-05-16 22:08 Nick Sarnie
2018-04-30 22:31 Nick Sarnie
2018-04-30 22:31 Nick Sarnie
2018-01-22 22:51 NP Hardass
2018-01-18 13:54 Mikle Kolyada
2017-09-05 23:50 Austin English
2017-09-05 23:50 Austin English
2017-06-18  5:25 Austin English
2017-06-18  5:25 Austin English
2017-05-17  6:33 Austin English
2017-04-10 17:58 NP Hardass
2017-03-28  6:57 Austin English
2016-07-29  4:48 NP Hardass
2016-07-29  4:48 NP Hardass
2016-07-10  0:48 NP Hardass
2016-05-13  1:50 NP Hardass
2016-05-13  1:50 NP Hardass
2016-03-30 23:12 NP Hardass
2016-03-30 23:12 NP Hardass
2016-03-30 23:12 NP Hardass
2016-01-19  2:04 NP Hardass
2015-11-17  2:12 NP Hardass
2015-11-17  2:12 NP Hardass
2015-11-14  0:26 NP Hardass
2015-11-14  0:26 NP Hardass
2015-09-27 13:44 NP Hardass

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1468111493.56d5cef67a5f77e1936f5bb60c8b7bc794ddff5c.np-hardass@gentoo \
    --to=np-hardass@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox